GETUSER(3)

NAME
getuser, sysname - get user or system name

SYNOPSIS
#include <u.h>
#include <libc.h>

char*    getuser(void)

char*    sysname(void)

DESCRIPTION
Getuser returns a pointer to static data which contains the null-terminated name of the user who owns the current process. Getuser reads /dev/user to find the name.

Sysname provides the same service for the file #c/sysname, which contains the name of the machine. Unlike getuser, sysname caches the string, reading the file only once.

SOURCE
/usr/local/plan9/src/libc/port/getuser.c

SEE ALSO
intro(3), cons(3)